# Uses of Interface
java.lang.classfile.CodeBuilder.CatchBuilder

Packages that use CodeBuilder.CatchBuilder
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of CodeBuilder.CatchBuilder in java.lang.classfile

Methods in java.lang.classfile that return CodeBuilder.CatchBuilder
Modifier and Type
Method
Description
`CodeBuilder.CatchBuilder`
CodeBuilder.CatchBuilder.`catching(ClassDesc exceptionType, Consumer<CodeBuilder.BlockCodeBuilder> catchHandler)`
Adds a catch block that catches an exception of the given type.
`CodeBuilder.CatchBuilder`
CodeBuilder.CatchBuilder.`catchingMulti(List<ClassDesc> exceptionTypes, Consumer<CodeBuilder.BlockCodeBuilder> catchHandler)`
Adds a catch block that catches exceptions of the given types.